--Nico73 Modding
--18/08/2022
--Owervrite function for value needsRolling missing in mapFruitsType.xml

function FruitTypeManager:loadFruitTypeCultivation(fruitType, xmlFile, key)
	if fruitType ~= nil then
		fruitType.needsSeeding = Utils.getNoNil(getXMLBool(xmlFile, key .. ".cultivation#needsSeeding"), Utils.getNoNil(fruitType.needsSeeding, true))
		fruitType.allowsSeeding = Utils.getNoNil(getXMLBool(xmlFile, key .. ".cultivation#allowsSeeding"), Utils.getNoNil(fruitType.allowsSeeding, true))
		fruitType.directionSnapAngle = Utils.getNoNilRad(getXMLFloat(xmlFile, key .. ".cultivation#directionSnapAngle"), Utils.getNoNil(fruitType.directionSnapAngle, 0))
		fruitType.alignsToSun = Utils.getNoNil(getXMLBool(xmlFile, key .. ".cultivation#alignsToSun"), Utils.getNoNil(fruitType.alignsToSun, false))
		fruitType.seedUsagePerSqm = Utils.getNoNil(getXMLFloat(xmlFile, key .. ".cultivation#seedUsagePerSqm"), Utils.getNoNil(fruitType.seedUsagePerSqm, 0.1))
		fruitType.plantsWeed = Utils.getNoNil(getXMLBool(xmlFile, key .. ".cultivation#plantsWeed"), Utils.getNoNil(fruitType.plantsWeed, true))
		fruitType.needsRolling = Utils.getNoNil(getXMLBool(xmlFile, key .. ".cultivation#needsRolling"), Utils.getNoNil(fruitType.needsRolling, false))
		local cultivationStates = nil
		local i = 0

		while true do
			local cultivationKey = string.format("%s.cultivation.state(%d)", key, i)

			if not hasXMLProperty(xmlFile, cultivationKey) then
				break
			end

			local state = getXMLInt(xmlFile, cultivationKey .. "#state")

			if state ~= nil then
				if cultivationStates == nil then
					cultivationStates = {}
				end

				table.insert(cultivationStates, state)
			end

			i = i + 1
		end

		fruitType.cultivationStates = cultivationStates

		return true
	end

	return false
end